Bug 619692 - The ksh's man-page describes an obsolete option m and doesn't describe option -R enough.
The ksh's man-page describes an obsolete option m and doesn't describe option...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ksh (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE - Apps
: ManPageChange
Depends On:
Blocks: 627601
  Show dependency treegraph
 
Reported: 2010-07-30 03:44 EDT by Shinji Kito
Modified: 2011-05-19 09:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The previous version of the ksh man page contained an unavailable "-m" option and an insufficient description of the "-R" option. In this updated version of the man page, the section mentioning the unavailable option is removed and the description of the "-R" option is extended.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shinji Kito 2010-07-30 03:44:13 EDT
Description of problem:
The ksh's man-page describes an obsolete option m and doesn't describe
option -R enough.

As you see, the SYNOPSIS of the ksh's
man page on RHEL5 doesn't include an option m, but the man page on
RHEL6 does.  As you know, "m" is no longer available.
Additionally, the further description (as follows) of the -R option has
been added by ksh-20080202-manfix.patch.
--------------------------------------------------------------------------
The filename argument specifies the generated database. A script file must
be provided on the command line as well.
--------------------------------------------------------------------------

Version-Release number of selected component (if applicable):
ksh-20100621-2.el6.x86_64
Red Hat Enterprise Linux Version Number: 6
Release Number: beta2 snapshot7

How reproducible:
Always

Steps to Reproduce:
1. Just run the ksh man page

Actual results:
The ksh's man-page describes an obsolete option m and doesn't describe
option -R enough.

Expected results:
The SYNOPSIS of the ksh's man page doesn't include an obsolete option m.
The further description of the -R option is added.

Additional info: 
Target Release: 6.1GA

man page for RHEL5 was fixed by BZ#441557.
Please check ksh-20080202-manfix.patch.


It appears that this was reported to upstream in 2007
https://mailman.research.att.com/pipermail/ast-users/2007q3/001950.html

With the following patch:

--- src/cmd/ksh93/sh.1.org      2007-09-04 14:44:41.000000000 +0800
+++ src/cmd/ksh93/sh.1  2007-09-04 14:44:36.000000000 +0800
@@ -40,7 +40,7 @@ standard/restricted command and programm
 .B ksh93
 .\\}
 [
-.B \\(+-abcefhikmnoprstuvxBCDP
+.B \\(+-abcefhiknoprstuvxBCDP
 ] [
 .B \\-R
 file ] [
@@ -59,7 +59,7 @@ option ] .\\|.\\|. [
 .B rksh93
 .\\}
 [
-.B \\(+-abcefhikmnoprstuvxBCD
+.B \\(+-abcefhiknoprstuvxBCD
 ] [
 .B \\-R
 file ] [
Comment 4 Martin Prpic 2011-03-16 11:55:08 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The previous version of the ksh man page contained an unavailable "-m" option and an insufficient description of the "-R" option. In this updated version of the man page, the section mentioning the unavailable option is removed and the description of the "-R" option is extended.
Comment 5 errata-xmlrpc 2011-05-19 09:50:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0645.html

Note You need to log in before you can comment on or make changes to this bug.